Create extraction codes for all cases (internal)

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
POST /admin/case/create-bulk-extraction-codes

Creates an extraction code for every case that has none, or for every case when createIfEvenExists is true, in batches of 1000, with the case creator as custodian and default settings. Returns a message with the number created. Super admin only.

application/json

Body Required

  • createIfEvenExists boolean

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • message string Required
      • isSuccess boolean Required
    • statusCode number Required
    • timestamp string(date-time) Required
POST /admin/case/create-bulk-extraction-codes
curl \
 --request POST 'http://api.example.com/admin/case/create-bulk-extraction-codes' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{
  "createIfEvenExists": true
}'
Request examples
{
  "createIfEvenExists": true
}
Response examples (200)
{
  "data": {
    "message": "Done",
    "isSuccess": true
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}